Eclipse Rich Ajax Platform

## org.eclipse.rwt.lifecycle
Class JSListenerType

    java.lang.Object
      org.eclipse.rwt.lifecycle.JSListenerType

All Implemented Interfaces:
  java.lang.Comparable

Deprecated. Use `IClientObject#listen(String, boolean)` instead

    @Deprecated
    public final class JSListenerType

extends java.lang.Object
implements java.lang.Comparable

Field Summary
`static JSListenerType` `ACTION` Deprecated.
`static JSListenerType` `STATE_AND_ACTION` Deprecated.
`static java.util.List` `VALUES` Deprecated.

Constructor Summary
`JSListenerType(java.lang.String name)` Deprecated.

Method Summary
`int` `compareTo(java.lang.Object toCompare)` Deprecated.
`int` `getOrdinal()` Deprecated.
`java.lang.String` `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION

    public static final JSListenerType ACTION

  Deprecated.

### STATE_AND_ACTION

    public static final JSListenerType STATE_AND_ACTION

  Deprecated.

### VALUES

    public static final java.util.List VALUES

  Deprecated.

Constructor Detail

### JSListenerType

    public JSListenerType(java.lang.String name)

  Deprecated.

Method Detail

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object toCompare)

  Deprecated.
  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getOrdinal

    public int getOrdinal()

  Deprecated.

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.